Skip to content

Sell market votes via Ethos Everywhere wallet

POST
/wallets/privy/markets/sell
curl --request POST \
--url https://api.ethos.network/api/v2/wallets/privy/markets/sell \
--header 'Content-Type: application/json' \
--cookie ethos-access-token=<ethos-access-token> \
--data '{ "profileId": 1, "isPositive": true, "amount": 1, "minimumVotePrice": "example", "waitForTxTimeoutSeconds": 5 }'

Submits a sellVotes transaction on the ReputationMarket contract using the user’s Ethos Everywhere wallet. The contract sends ETH proceeds back to the seller.

Media typeapplication/json
object
profileId
required
integer
> 0 <= 2147483647
isPositive
required
boolean
amount
required
integer
> 0 <= 9007199254740991
minimumVotePrice
required
string
waitForTxTimeoutSeconds

Timeout in seconds to wait for the transaction to be processed by Ethos. Defaults to 5 seconds. Set to 0 to skip waiting.

number
default: 5

Successful response

Media typeapplication/json
object
hash
required

0x-prefixed 32-byte transaction hash (keccak256)

string
processed
required

Whether the market sell transaction has been received & processed by Ethos.

boolean

Example generated

{
"hash": "example",
"processed": true
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}